Subject: [linux-sunxi] Re: [PATCH v9 2/2] Add mixer controls: Line-In, FM-In, Mic 2, Capture Source, Differential Line-In.

From: [email-masked] (Danny Milosavljevic)
Date: Wed, 31 Aug 2016 09:49:59 +0200

Hi Chen-Yu,
 
> My apologies. I didn't notice that VMIC was already in the driver.
> In that your original patch did everything right.

Don't worry about it :)

But I have a question:

If I replace DAPM_INPUT by DAPM_MIC it wants a callback that is supposed to
fiddle with the bias. 
Do I provide one?
If so, will it conflict with the supply?

Or do I leave it as DAPM_INPUT ?